import upperCase from './upperCase';

const install = function(Vue) {
  Vue.directive('upperCase', upperCase);
};

if (window.Vue) {
  window.upperCase = upperCase;
  Vue.use(install); // eslint-disable-line
}

upperCase.install = install;
export default upperCase;

// 组件中使用demo

// <Input v-upperCase="{ set: this, key1: 'formSearch', key2: 'claimNo' }"></Input>
// import upperCase from '@accountPlatformSrc/directive/upperCase/index';
// export default {
//   directives: {
//     upperCase
//   },
// }
