export const QueryAllAccountingGroup = param => {
  return new Promise((resolve) => {
    $axios.post('/ems-account-service/group/findByNameOrType' + (param ? ('?groupType=' + param.groupType + '&delFlg=' + param.delFlg) : ''), param).then((response) => {
      resolve(response.data);
    }).catch((error) => {
      const responseData = { dataResult: [], extra: '', msg: (error.response.data.message || '服务异常，请联系管理员'), statusCode: '-1' };
      resolve(responseData);
    });
  });
};
