export const QueryWorkCalendarInfo = param => {
  return new Promise((resolve) => {
    $axios.post('/ems-account-service/accountantCalendar/findAllAccountantCalendar', param).then((response) => {
      resolve(response.data);
    }).catch((error) => {
      const responseData = { dataResult: [], extra: '', msg: (error.response.data.message || '服务异常，请联系管理员'), statusCode: '-1' };
      resolve(responseData);
    });
  });
};

export const SetIsOrNoWorkDay = param => {
  return new Promise((resolve) => {
    $axios.post('/ems-account-service/accountantCalendar/setAccountantCalendarWorkFlag', param).then((response) => {
      resolve(response.data);
    })
      .catch((error) => {
        const responseData = { dataResult: [], extra: '', msg: (error.response.data.message || '服务异常，请联系管理员'), statusCode: '-1' };
        resolve(responseData);
      });
  });
};

export const SetWorkTime = param => {
  return new Promise((resolve) => {
    $axios.post('/ems-account-service/accountantCalendar/setAccountantCalendarAllWorkTime', param).then((response) => {
      resolve(response.data);
    })
      .catch((error) => {
        const responseData = { dataResult: [], extra: '', msg: (error.response.data.message || '服务异常，请联系管理员'), statusCode: '-1' };
        resolve(responseData);
      });
  });
};
