export default function(self) {
  return [
    {
      title: '流水号',
      align: 'center',
      minWidth: 200,
      key: 'log.esbSn',
      render: (h, params) => {
        const val = params.row.log && params.row.log.esbSn ? params.row.log.esbSn : '';
        return h(
          'div',
          {
            attrs: {
              class: 'ivu-tabel-cell ivu-tabel-cell-ellipsis',
              title: val
            }
          },
          val
        );
      }
    },
    {
      title: '导入状态',
      align: 'center',
      width: 140,
      key: 'log.voucherStatus',
      render: (h, param) => {
        const val = param.row.log && param.row.log.voucherStatus && self.importFlagMap ? self.importFlagMap[param.row.log.voucherStatus] : '';
        return h(
          'div',
          {
            attrs: {
              class: 'ivu-table-cell-ellipsis',
              title: val
            }
          },
          val
        );
      }
    }
    // {
    //   title: "审批结束日期",
    //   align: "center",
    //   width: 160,
    //   key: "approveEndTime"
    // },
    // {
    //   title: "未导天数",
    //   align: "center",
    //   width: 140,
    //   key: "dayNumber"
    // }
  ];
}
