import extend from 'extend'
export default {

  // 设置报账信息-归属公司
  setCompanys(state, companys = []) {
    state.companys = companys;
    for(let item of companys) {
      state.companyMap[item.companyCode] = item.ouName;
    }
  },

  // 报账信息-资金计划
  setMoneyPlans(state, moneyPlan = []) {
    state.moneyPlan = moneyPlan;
    for(let item of moneyPlan) {
      state.moneyPlanMap[item.vsiKey] = item.vsiValue;
    }
  },

  // 报账信息-付款方式
  setPayMentTypes(state, payMentType = []) {
    state.payMentType = payMentType;
    for(let item of payMentType) {
      state.payMentTypeMap[item.vsiKey] = item.vsiValue;
    }
  },


  // 设置币种
  setCurrencys(state, currencys = []) {
    state.currencys = currencys;
    for(let item of currencys) {
      state.currencyMap[item.vsiKey] = item.vsiValue;
    }
  },

  // 设置报账明细-业务小类
  setSubBusinessTypes(state, subBusinessTypes = []) {
    state.subBusinessTypes = subBusinessTypes;
    for(let item of subBusinessTypes) {
      state.subBusinessMap[item.subCategoryCode] = item.subCategoryName
    }
  },
}