export default {
    // server
    setServer(state, server = {}) {
        state.server = server;
    },
    // 设置归属公司
    setCompanys(state, companys = []) {
        state.companys = companys;
    },
    // 设置核算小组
    setCheckGroups(state, checkGroups = []) {
        state.checkGroups = checkGroups;
    },
    //显示第一个页面
    setShowERPWillImport(state) {
        state.showERPWillImport = true;
        state.showERPWillCreateBill = false;
        state.showHasCreatedBill = false;
    },
    //显示第二个页面
    setShowERPWillCreateBill(state) {
        state.showERPWillCreateBill = true;
        state.showERPWillImport = false;
        state.showHasCreatedBill = false;
    },
    //显示第三个页面
    setShowHasCreatedBill(state) {
        state.showHasCreatedBill = true;
        state.showERPWillImport = false;
        state.showERPWillCreateBill = false;
    },
    //更改按钮上汇总数字
    setAccountAmount(state, params) {
        state[params.key] = params.value;
    },
    //获取页面列表对象
    setERPWillImportTable(state, table){
       state.ERPWillImportTable = table; 
    },
    setERPWillCreateBillTable(state, table){
       state.ERPWillCreateBillTable = table; 
    },
    setHasCreatedBillTable(state, table){
       state.hasCreatedBillTable = table; 
    },

    // 设置headButtons对象
    setHeadButtons(state, headButtons){
        state.headButtons = headButtons; 
    },
}