import Vue from 'vue'
export default {
  /**
   * tags导航相关
   */
  setTagsList(state, list) {
    state.tagsList.push(...list);
  },
  increateTag(state, tagObj) {
    state.cachePage.push(tagObj.name);
    state.pageOpenedList.push(tagObj);
    sessionStorage.pageOpenedList = JSON.stringify(state.pageOpenedList);
  },
  removeTag(state, name) {
    state.pageOpenedList.map((item, index) => {
      if ((item.actionUrl || item.name) === name) {
        state.pageOpenedList.splice(index, 1);
      }
    });

    sessionStorage.pageOpenedList = JSON.stringify(state.pageOpenedList);

    let i = state.cachePage.findIndex(val => {
      return val == name.split("?")[0];
    });
    !!~i && state.cachePage.splice(i, 1);
  },
  moveToSecond(state, index) {
    let openedPage = state.pageOpenedList[index];
    state.pageOpenedList.splice(index, 1);
    state.pageOpenedList.splice(1, 0, openedPage);
    sessionStorage.pageOpenedList = JSON.stringify(state.pageOpenedList);
  },
  setOpenedList(state) {
    state.pageOpenedList = sessionStorage.pageOpenedList
      ? JSON.parse(sessionStorage.pageOpenedList)
      : [$store.getters.homePage]; //otherRouter.children[0]
  },
  setCurrentPageName(state, name) {
    state.currentPageName = name;
    sessionStorage.currentPageName = name;
  },

};
