import Vue from 'vue';
export default {
  //显示第一个页面
  setShowNoAssignAccount(state) {
    state.showNoAssignAccount = true;
    state.showNoAllotAccount = false;
    state.showNoHandleAccount = false;
    state.showNoAssignRecheck = false;
    state.showNoAllotRecheck = false;
    state.showNoHandleRecheck = false;
  },
  //显示第二个页面
  setShowNoAllotAccount(state) {
    state.showNoAllotAccount = true;
    state.showNoAssignAccount = false;
    state.showNoHandleAccount = false;
    state.showNoAssignRecheck = false;
    state.showNoAllotRecheck = false;
    state.showNoHandleRecheck = false;
  },
  //显示第三个页面
  setShowNoHandleAccount(state) {
    state.showNoHandleAccount = true;
    state.showNoAssignAccount = false;
    state.showNoAllotAccount = false;
    state.showNoAssignRecheck = false;
    state.showNoAllotRecheck = false;
    state.showNoHandleRecheck = false;
  },
  //显示第四个页面
  setShowNoAssignRecheck(state) {
    state.showNoHandleAccount = false;
    state.showNoAssignAccount = false;
    state.showNoAllotAccount = false;
    state.showNoAssignRecheck = true;
    state.showNoAllotRecheck = false;
    state.showNoHandleRecheck = false;
  },
  //显示第五个页面
  setShowNoAllotRecheck(state) {
    state.showNoHandleAccount = false;
    state.showNoAssignAccount = false;
    state.showNoAllotAccount = false;
    state.showNoAllotRecheck = true;
    state.showNoAssignRecheck = false;
    state.showNoHandleRecheck = false;
  },
  //显示第六个页面
  setShowNoHandleRecheck(state) {
    state.showNoHandleAccount = false;
    state.showNoAssignAccount = false;
    state.showNoAllotAccount = false;
    state.showNoHandleRecheck = true;
    state.showNoAssignRecheck = false;
    state.showNoAllotRecheck = false;
  },

  //更改按钮上面数字
  setAccountAmount(state, params) {
    Vue.set(state, params.key, params.value);
  },

  //获取页面列表对象
  setNoAssignAccountantTable(state, table) {
    state.groupNoAssignAccountantTable = table;
  },
  setNoAllotAccountantTable(state, table) {
    state.groupNoAllotAccountantTable = table;
  },
  setNoHandleAccountantTable(state, table) {
    state.groupNoHandleAccountantTable = table;
  },
  setNoAssignRecheckTable(state, table) {
    state.groupNoAssignRecheckTable = table;
  },
  setNoAllotRecheckTable(state, table) {
    state.groupNoAllotRecheckTable = table;
  },
  setNoHandleRecheckTable(state, table) {
    state.groupNoHandleRecheckTable = table;
  },

  setTaskPoolMonitorHeadButtons(state, head) {
    state.taskPoolMonitorHeadButtons = head;
  },

  setCheckGroupList(state, checkGroupList = []) {
    state.checkGroupList = checkGroupList;
  },
  setRecheckGroupList(state, recheckGroupList = []) {
    state.recheckGroupList = recheckGroupList;
  },
}
