import qs from 'qs';
const util = {};
// 智慧填单跳转
// const menuArray = ['smart-travel-fee', 'intelligence-employee-other-fee'];
const formPlatformUrlsObj = {
  // 产品环境
  PD: {
    dev: {
      'temporary-borrowing': '/ems/platform/online/UAT/XARL/form_242/index.html',
      'temporary-refund': '/ems/platform/online/UAT/XARL/form_245/index.html',
      'communication-fee': '/ems/platform/online/UAT/XARL/form_364/index.html',
      'vendor-other-fee': '/ems/platform/online/UAT/XARL/form_251/index.html',
      'vendor-advance-charge':
        '/ems/platform/online/UAT/XARL/form_253/index.html',
      'batch-substitute-mat-fee':
        '/ems/platform/online/UAT/XARL/form_256/index.html',
      'travel-fee-before': '/ems/platform/online/UAT/XARL/form_257/index.html',
      'employee-other-fee': '/ems/platform/online/UAT/XARL/form_259/index.html',
      'intelligence-employee-other-fee':
        '/ems/platform/online/UAT/XARL/form_274/index.html',
      'unify-apply': '/ems/platform/online/UAT/XARL/form_260/index.html',
      'new-travel-fee-rl': '/ems/#/new-travel-fee-rl',
      'smart-travel-fee': '/ems/#/form/smart-travel-fee',
      'work-order': '/ems/platform/online/UAT/XARL/form_265/index.html',
      'bookkeeping-simple': '/ems/platform/online/UAT/XARL/form_266/index.html',
      'general-ledger': '/ems/platform/online/UAT/XARL/form_268/index.html',
      mywallet: '/form_wallet_web/#/mywallet-page',
      'create-payment-apply': '/ems/platform/online/UAT/XARL/form_348/index.html'
    },
    prd: {
      'temporary-borrowing': '/ems/platform/online/PRD/XARL/form_242/index.html',
      'temporary-refund': '/ems/platform/online/PRD/XARL/form_245/index.html',
      'vendor-other-fee': '/ems/platform/online/PRD/XARL/form_251/index.html',
      'communication-fee': '/ems/platform/online/PRD/XARL/form_364/index.html',
      'vendor-advance-charge':
        '/ems/platform/online/PRD/XARL/form_253/index.html',
      'batch-substitute-mat-fee':
        '/ems/platform/online/PRD/XARL/form_256/index.html',
      'travel-fee-before': '/ems/platform/online/PRD/XARL/form_257/index.html',
      'employee-other-fee': '/ems/platform/online/PRD/XARL/form_259/index.html',
      'intelligence-employee-other-fee':
        '/ems/platform/online/PRD/XARL/form_274/index.html',
      'unify-apply': '/ems/platform/online/PRD/XARL/form_260/index.html',
      'new-travel-fee-rl': '/ems/#/form/new-travel-fee-rl',
      'smart-travel-fee': '/ems/#/form/smart-travel-fee',
      'work-order': '/ems/platform/online/PRD/XARL/form_265/index.html',
      'bookkeeping-simple': '/ems/platform/online/PRD/XARL/form_266/index.html',
      'general-ledger': '/ems/platform/online/PRD/XARL/form_268/index.html',
      mywallet: '/form_wallet_web/#/mywallet-page',
      'create-payment-apply': '/ems/platform/online/PRD/XARL/form_348/index.html'
    }
  },
  // 水泥环境
  SN: {
    dev: {
      'temporary-borrowing': '/ems/platform/online/UAT/HRSN/form_401/index.html',
      'temporary-refund': '/ems/platform/online/UAT/HRSN/form_402/index.html',
      'communication-fee': '/ems/platform/online/UAT/HRSN/form_442/index.html',
      'vendor-other-fee': '/ems/platform/online/UAT/HRSN/form_403/index.html',
      'vendor-advance-charge': '/ems/platform/online/UAT/HRSN/form_404/index.html',
      'batch-substitute-mat-fee': '/ems/platform/online/UAT/HRSN/form_406/index.html',
      'travel-fee-before': '/ems/platform/online/UAT/HRSN/form_407/index.html',
      'employee-other-fee': '/ems/platform/online/UAT/HRSN/form_409/index.html',
      'intelligence-employee-other-fee': '/ems/platform/online/UAT/HRSN/form_418/index.html',
      'unify-apply': '/ems/platform/online/UAT/HRSN/form_410/index.html',
      'new-travel-fee-rl': '/ems/#/new-travel-fee-rl',
      'smart-travel-fee': '/ems/#/form/smart-travel-fee',
      'work-order': '/ems/platform/online/UAT/HRSN/form_413/index.html',
      'bookkeeping-simple': '/ems/platform/online/UAT/HRSN/form_414/index.html',
      'general-ledger': '/ems/platform/online/UAT/HRSN/form_415/index.html',
      mywallet: '/form_wallet_web/#/mywallet-page',
      'create-payment-apply': '/ems/platform/online/UAT/HRSN/form_441/index.html'
    },
    prd: {
      'temporary-borrowing': '/ems/platform/online/PRD/HRSN/form_401/index.html',
      'temporary-refund': '/ems/platform/online/PRD/HRSN/form_402/index.html',
      'vendor-other-fee': '/ems/platform/online/PRD/HRSN/form_403/index.html',
      'communication-fee': '/ems/platform/online/PRD/HRSN/form_442/index.html',
      'vendor-advance-charge': '/ems/platform/online/PRD/HRSN/form_404/index.html',
      'batch-substitute-mat-fee': '/ems/platform/online/PRD/HRSN/form_406/index.html',
      'travel-fee-before': '/ems/platform/online/PRD/HRSN/form_407/index.html',
      'employee-other-fee': '/ems/platform/online/PRD/HRSN/form_409/index.html',
      'intelligence-employee-other-fee': '/ems/platform/online/PRD/HRSN/form_418/index.html',
      'unify-apply': '/ems/platform/online/PRD/HRSN/form_410/index.html',
      'new-travel-fee-rl': '/ems/#/form/new-travel-fee-rl',
      'smart-travel-fee': '/ems/#/form/smart-travel-fee',
      'work-order': '/ems/platform/online/PRD/HRSN/form_413/index.html',
      'bookkeeping-simple': '/ems/platform/online/PRD/HRSN/form_414/index.html',
      'general-ledger': '/ems/platform/online/PRD/HRSN/form_415/index.html',
      mywallet: '/form_wallet_web/#/mywallet-page',
      'create-payment-apply': '/ems/platform/online/PRD/HRSN/form_441/index.html'
    }
  },
  // 微电子
  WDZ: {
    dev: {
      'temporary-borrowing': '/ems/platform/online/UAT/XARL/form_441/index.html',
    },
    prd: {
      'temporary-borrowing': '/ems/platform/online/PRD/XARL/form_441/index.html',
    }
  },

};

util.startProcess = function(obj) {
  // 全局环境变量BUSINESS_ENV
  const host = window.location.host;
  const businessEnv = 'WDZ';
  let env = 'dev'; // 默认是dev环境

  console.log('businessEnv', businessEnv);
  if (host.includes('localhost') || host.includes('53')) {
    env = 'dev';
  } else {
    env = 'prd';
  }

  const formPlatformUrls = formPlatformUrlsObj[businessEnv][env];
  const userCode = localStorage.getItem('currUserCode');

  let fullTpCode = obj.tpCode;
  const categoryCode = obj.categoryCode;
  const startProcess = function() {
    let tpCode = fullTpCode.split('?')[0];
    let tpCodeParams = {};
    if (fullTpCode.split('?')[1]) {
      tpCodeParams = qs.parse(fullTpCode.split('?')[1]);
    }

    // 处理从草稿、待办、已办过来的付款申请的大类模板
    if (tpCodeParams.backUrl && !!obj.source) {
      tpCode = tpCodeParams.backUrl;
    }

    const params = Object.assign({}, obj, {
      actionType: obj.actionType || 'start',
      categoryName: obj.categoryName,
      categoryCode: obj.categoryCode,
      ...tpCodeParams
    });
    let origin = '';
    if (location.origin != location.href.split('/#')[0]) {
      origin = location.href.split('/#')[0];
    } else {
      origin = location.origin;
    }
    // for (const item of routers) {
    //   if (item.name == tpCode) {
    //     params.singlePage = 'YES';
    //     break;
    //   }
    // }
    // if (menuArray.includes(tpCode)) {
    //   params.singlePage = 'YES';
    // }
    params.singlePage = 'YES';
    if (params.singlePage == 'YES') {
      $axios.get(`/ems-base-application/templateconfig/bycode/${tpCode}`).then(res => {
        let jumpUrl = '';
        if (res.data.code == 'S000A000') {
          jumpUrl = res.data.data.templateURL || '';
        } else {
          $Message.error(res.data.data.msg || '服务异常，请稍后重试');
          return;
        }

        if (jumpUrl) {
          const url = `${jumpUrl}?pageName=${tpCode}&userCode=${userCode}&startUserCode=${userCode}&${qs.stringify(params)}&crctoken=${sessionStorage.crctoken}`;
          window.open(url);
        } else {
          window.open(`${origin}/#/blank?pageName=${tpCode}&userCode=${userCode}&startUserCode=${userCode}&${qs.stringify(params)}&crctoken=${sessionStorage.crctoken}`);
        }
      });

      // if (formPlatformUrls[tpCode] && location.hash.indexOf('old') < 0) {
      //   // const url =
      //   window.open(
      //     formPlatformUrls[tpCode] +
      //       `?pageName=${tpCode}&userCode=${userCode}&startUserCode=${userCode}&${qs.stringify(
      //         params
      //       )}&crctoken=${sessionStorage.crctoken}`
      //   );
      // } else {
      //   window.open(
      //     `${origin}/#/blank?pageName=${tpCode}&userCode=${userCode}&startUserCode=${userCode}&${qs.stringify(
      //       params
      //     )}&crctoken=${sessionStorage.crctoken}`
      //   );
      // }
    } else {
      window.open(
        `${origin}/${tpCode}?userCode=${userCode}&startUserCode=${userCode}${qs.stringify(
          params
        )}&source=${obj.source}&crctoken=${sessionStorage.crctoken}`
      );
    }
  };
  if (!fullTpCode) {
    if (categoryCode) {
      $axios
        .post(
          `/ems-base-application/category/findCategoryByCode?categoryCode=${categoryCode}`
        )
        .then(response => {
          console.log('categoryCode', response);
          const result = response.data;
          if (!result || !result.tpCode) {
            $app.$Message.warning({
              content: `【${obj.categoryName}】流程没有配置表单请求路径, 无法发起流程`,
              duration: 5
            });
          } else {
            fullTpCode =
              result.tpCode == 'payment-plan-gl' ||
              result.tpCode == 'payment-plan'
                ? 'create-payment-apply'
                : result.tpCode;
          }
          startProcess();
        })
        .catch(error => {
          const msg = error.body.data.message || '服务异常，请联系管理员';
          $app.$Message.warning({
            content: msg,
            duration: 5
          });
        });
    }
  } else {
    startProcess();
  }
};
util.isArray = function isArray(arr) {
  if (typeof Array.isArray === 'function') {
    return Array.isArray(arr);
  }

  return toStr.call(arr) === '[object Array]';
};
function add0(m) { return m < 10 ? '0' + m : m; }
util.format = function(shijianchuo, issfm) {
  if (!shijianchuo) {

  } else {
    var time = new Date(shijianchuo);
    var y = time.getFullYear();
    var m = time.getMonth() + 1;
    var d = time.getDate();
    var h = time.getHours();
    var mm = time.getMinutes();
    var s = time.getSeconds();
    if (issfm) {
      return y + '-' + add0(m) + '-' + add0(d) + ' ' + add0(h) + ':' + add0(mm) + ':' + add0(s);
    } else {
      return y + '-' + add0(m) + '-' + add0(d);
    }
  }
};
util.openCreatePayment = function(isView, id, batchNo, isupload = 'close') {
  let origin = ''; let pageName = '';
  if (location.origin != location.href.split('/#')[0]) {
    origin = location.href.split('/#')[0];
  } else {
    origin = location.origin;
  }
  if (isView) {
    pageName = 'view-payment-preparation';
  } else {
    pageName = 'create-payment-preparation';
  }
  const url = `${origin}/#/${pageName}?pageName=${pageName}&id=${id}&isupload=${isupload}&batchNo=${batchNo}&singlePage=YES&crctoken=${sessionStorage.crctoken}`;
  window.win_num = window.win_num + 1;
  window.win_Array[window.win_num] = window.open(url);
};

// 打开菜单页面
util.openTagPage = function(vm, active, params, query) {
  const tagsList = vm.$store.state.main.tagsList;
  const pageOpenedList = vm.$store.state.main.pageOpenedList;
  const openedPageLen = pageOpenedList.length;
  let i = 0;
  let tagHasOpened = false;
  while (i < openedPageLen) {
    if (pageOpenedList[i] && active === pageOpenedList[i].name) {
      // 如果是打开的已有的页签路由，考虑到有可能某些路由带有query参数，需要进行更新tagObj
      const tagObj = Object.assign(pageOpenedList[i], query, { params });
      vm.$store.commit('main/moveToSecond', { index: i, tagObj });
      tagHasOpened = true;
      break;
    }
    i++;
  }
  if (!tagHasOpened) {
    let tag = tagsList.filter(titem => {
      if (titem.children && titem.nest != 'YES') {
        return active === titem.children[0].name;
      } else {
        return active === titem.name;
      }
    });
    tag = tag[0];
    if (!tag) {
      return $Message.warning({
        content: '未配置此路由'
      });
    };
    tag = tag.children ? tag.children[0] : tag;
    tag = Object.assign({}, tag, query, { params });
    vm.$store.commit('main/increateTag', tag);
  }

  vm.$store.commit('main/setCurrentPageName', active);
  vm.$router.push({
    name: active,
    params: params,
    query: query
  });
};

export default util;
