class CommonModalConfig {
  constructor() {}

  // 公司
  getCompanyModalConf(self,server, defaultParams, isMultiple = false, requestAction = 'getCompanylist', columnsArr) {
    const columnsDefault = [
      {
        type: 'index',
        width: 70,
        resizable: true,
        align: 'left',
        title: self.$t('序号')
      },
      {
        title: 'BU',
        width: 100,
        resizable: true,
        align: 'left',
        key: 'buCode'
      },
      {
        title: self.$t('业务线名称'),
        width: 390,
        resizable: true,
        align: 'left',
        key: 'businessLineName'
      },
      {
        title: self.$t('公司名称'),
        minWidth: 150,
        resizable: true,
        align: 'left',
        key: 'companyName'
      }
    ];
    const columns = columnsArr || columnsDefault;
    return {
      server,
      defaultParams,
      isMultiple: isMultiple,
      requestAction,
      formSearchConfig: [{
        formType: 'input',
        label: '公司名称',
        key: 'companyName'
      }],
      columns,
      title: self.$t('请选择公司')
    };
  }
}

export default new CommonModalConfig();
