export default function (self) {
  return [
    {
      title: "导入状态",
      align: "center",
      width: 140,
      key: "importStatus",
      render: (h, param) => {
        return h("div",
          {
            attrs: {
              class: "ivu-table-cell-ellipsis",
              title: param.row.importStatus
            }
          },
          param.row.importStatus && self.importFlagMap[param.row.importStatus]
        )
      }
    },
    {
      title: "流水号",
      align: "center",
      minWidth: 140,
      key: "log.esbSn",
      render: (h, params) => {
        let val = params.row.log.esbSn || "";
        return h(
          "div",
          {
            attrs: {
              class: "ivu-tabel-cell ivu-tabel-cell-ellipsis",
              title: val
            }
          },
          val
        );
      }
    },
    {
      title: "审批结束日期",
      align: "center",
      width: 160,
      key: "approveEndTime"
    },
    {
      title: "未导天数",
      align: "center",
      width: 140,
      key: "dayNumber"
    },
  ]
}