export default {
  // 用户系统语言
  $lang: state => state.curLang,

  // 业务线
  businessLineCode: state => {
    if (state.userEmpInfo) {
      return state.userEmpInfo.businessLine;
    }
  },

  // 当前登陆用户Id
  LoginUserId: state => {
    if (state.LoginUserInfo) {
      return state.LoginUserInfo.userId
    }
  },

  // 当前登陆用户 name
  LoginUserName: state => {
    if (state.LoginUserInfo) {
      return state.LoginUserInfo.userName
    }
  },

  // 当前登陆用户ldap
  LoginUserLdapId: state => {
    if (state.LoginUserInfo) {
      return state.LoginUserInfo.userCode
    }
  },

  // 用户菜单列表
  userMenuList: state => {
    if (state.userNavInfo) {
      return state.userNavInfo.userMenuList
    }
  },

  // 用户角色
  userRoleList: state => {
    if (state.userNavInfo) {
      return state.userNavInfo.userRoleList
    }
  },
}
